package com.zcloud.modules.kangzai.controller;

import com.zcloud.common.annotation.SysLog;
import com.zcloud.common.utils.PageUtils;
import com.zcloud.common.utils.R;
import com.zcloud.modules.kangzai.entity.BusRiverStructuresPointEntity;
import com.zcloud.modules.kangzai.service.BusRiverStructuresPointService;
import com.zcloud.modules.sys.controller.AbstractController;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc (BusRiverStructuresPoint)表控制层
 * @Date 2025-06-10 16:25:26
 */
@Api(tags = "")
@RestController
@RequestMapping("busRiverStructuresPoint")
public class BusRiverStructuresPointController extends AbstractController {

    @Autowired
    private BusRiverStructuresPointService busRiverStructuresPointService;

    @ApiOperation("-新增数据")
    @SysLog("-新增数据")
    @PostMapping("/save")
    public R insert(@RequestBody BusRiverStructuresPointEntity param) {
        busRiverStructuresPointService.save(param);

        return R.ok();
    }

    @ApiOperation("-编辑数据")
    @SysLog("-编辑数据")
    @PostMapping("/update")
    public R update(@RequestBody BusRiverStructuresPointEntity param) {
        busRiverStructuresPointService.updateById(param);

        return R.ok();
    }


    @ApiOperation("-删除数据")
    @SysLog("-删除数据")
    @PostMapping("/delete")
    public R delete(@RequestBody BusRiverStructuresPointEntity param) {
        busRiverStructuresPointService.delete(param.getRiverStructuresPointId(), getUserId());
        return R.ok();
    }

    @ApiOperation("-分页查询")
    @SysLog("-分页查询")
    @PostMapping("/listPage")
    public R listPage(@RequestBody Map<String, Object> params) {
        PageUtils page = busRiverStructuresPointService.listPage(params);

        return R.ok().put("page", page);
    }


    @ApiOperation("-根据ID查详情")
    @SysLog("-根据ID查详情")
    @PostMapping("/info")
    public R info(@RequestBody BusRiverStructuresPointEntity param) {
        BusRiverStructuresPointEntity busRiverStructuresPoint = busRiverStructuresPointService.getById(param.getRiverStructuresPointId());
        return R.ok().put("busRiverStructuresPoint", busRiverStructuresPoint);
    }

}
